typedef double vec_t;

#ifndef M_PI
#define M_PI 3.14159265357989
#endif

#define	power2(op)	(1<<(op))

#ifdef __cplusplus
extern "C" {
#endif
  void WindowFFTData(vec_t xreal[],vec_t yimag[],int numdat,int window);
  void fft(vec_t xreal[], vec_t yimag[], int numdat, int flag);
  void FFTCalc(vec_t xreal[],vec_t yimag[],int numdat);
  void FFTInvCalc(vec_t xreal[],vec_t yimag[], int numdat);
  void PowerSpectrumCalc(vec_t xreal[], vec_t yimag[],int numdat,vec_t delta);
  void FFT2DCalc(vec_t xreal[],vec_t yimag[],int c,int r,int flag);
#ifdef __cplusplus
}
#endif
