/*<html><body bgcolor=#B4C4B0><font color=#000000><strong><pre>*/
#ifndef   V_COMM_H
#define   V_COMM_H

#ifdef __cplusplus
extern "C" {
#endif
	/*
	 *	Opens COM port.
	 *	Input:
	 *		comm	- port number (1, 2, etc.)
	 *		rate	- baud rate;
	 *		bytesize - number of bits in byte;
	 *		parity 	- parity control;
	 *		stopbits - number of stop bits.
	 *	Output:
	 *		COM port or NULL.
	 *	Remarks. Use fileRead() / fileWrite() / fileClose() to perform
	 *	io operation with COM port.
	 *	Use fileControl(...,pctl_comm_reset,NULL) to cancel IO operation.
	 *	Use fileClose() to close port handle.
	 */
	file_t	V_GLOBAL	commOpen(int port_num,int rate,int bytesize,
		int parity,int stopbits);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_COMM_H */

/*</pre></body></html>*/
/*EOF*/
