/*<html><body bgcolor=#B4C4B0><font color=#000000>
<meta http-equiv="Content-Type" content="text/html; charset=koi8-r">
<strong><pre>*/
#ifndef V_GPSP_H
#define V_GPSP_H

/*
 *	General-purpose one-dimensional spline interpolation functions.
 */

typedef void		*cs_interpolator_t;

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	/* Returns memAlloc()'ed block */
	cs_interpolator_t	V_GLOBAL	csiCreate(vector_t *vx,vector_t *vy);
	mvec_t	V_GLOBAL	csiInterpolate(cs_interpolator_t *csi,mvec_t x);
	void	V_GLOBAL	csiChangeX(cs_interpolator_t *csi,vector_t *new_x);
	void	V_GLOBAL	csiChangeY(cs_interpolator_t *csi,vector_t *new_y);
    /*		'cond':
     *		0: use 1st derivatives;
     *		1: use 2nd derivatives;
     *		2: for one period of periodical curve;
     *		3: ... (I can't explain; see:
     *				", .    ..." ).
     */
	void	V_GLOBAL	csiSetBoundaryCondition(cs_interpolator_t *csi,
		u32_t cond,mvec_t cond_left,mvec_t cond_right);
#define					csiDestroy(csi)	memFree(csi)
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_GPSP_H */
/*</pre></strong></body></html>*/
/*EOF*/
