#include <v_lib.h>

/*
**	Binary tree test
*/

btree_p store_string(char *str,btree_t *parent,int index)
{
	return btStore(str,strlen(str)+1,parent,index);
}

void traverse_r(btree_t *node)
{
	if(!node)
		return;
	printf("%s\n",(char*)node->data);
	traverse_r(node->children[0]);
	traverse_r(node->children[1]);
}

int main()
{
	/* construct tree */
	btree_t *n;

	n=store_string("0 root",NULL,0);
	
	store_string("1 left child",	n,0);
	store_string("2 right child",	n,1);
	
	store_string("3 left child of left",	n->children[0],0);
	store_string("4 right child of left",	n->children[0],1);
	
	store_string("5 left child of right",	n->children[1],0);
	store_string("6 right child of right",	n->children[1],1);
	
	/* Traverse tree */
	traverse_r(n);
	
	/* Delete tree */
	btDeleteAllNodes(n,NULL);
	
	return 0;
}
