#include <v_lib.h>

int main()
{
	wave_handle_t wave, out;
	u32_t len;
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);
	wave=wavLoad("../media/guide.wav");
	if(!wave)
		return -1;
	conPrintf("%s, %d samples per second, %d bits per sample\n",
		wavNumChannels(wave) == 1 ? "mono" : "stereo",
		wavSamplingFrequency(wave),
		wavBitsPerSample(wave));
	len=(wavBitsPerSample(wave)*wavNumChannels(wave)>>3)*
		wavNumSamples(wave);
	out=wavOpenWrite("test.wav",wavNumChannels(wave),
		wavSamplingFrequency(wave),wavBitsPerSample(wave));
	wavWrite(out,wavData(wave),len);
	wavClose(wave);
	wavClose(out);
	return 0;
}
