/*
 *	vfslist.c: contains global list of built-in filesystem recognizers.
 */

#include <../source/vfs/fsbase.h>
#include <../source/vfs/drivers/fslist.h>

vfs_mount_proc_t	def_mnt_proc[] =
{
#ifdef	FS_SUPPORT_PAKFS
	vfsMountPak,
#endif	/* FS_SUPPORT_PAKFS */
#ifdef	FS_SUPPORT_PEFS
	vfsMountExecutable,
#endif /* FS_SUPPORT_PEFS */
	NULL
};
