#ifndef	FSLIST_H
#define	FSLIST_H

#include <v_lib.h>
#include <../source/vfs/iobase.h>
#include <../source/vfs/mbase.h>
#include <../source/vfs/fbase.h>
#include <../source/vfs/fsbase.h>
#include <../source/vfs/vfsutil.h>

/*
 *	Support for Id's concatenated resource file.
 */
#define	FS_SUPPORT_PAKFS

#if		defined(__WIN32__)
#define	FS_SUPPORT_PEFS
#endif	/* defined(__WIN32__) */

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */

#ifdef	FS_SUPPORT_PAKFS
	vfs_dev_p	V_CALL	vfsMountPak(char *volume_name);
#endif	/* FS_SUPPORT_PAKFS */

#ifdef	FS_SUPPORT_PEFS
	vfs_dev_p	V_CALL	vfsMountExecutable(char *volume_name);
#endif	/* FS_SUPPORT_PEFS */

#ifdef	__cplusplus
}
#endif	/* __cplusplus */

/*	Default filesystem recognizers (located in drivers/fslist.c) */
extern vfs_mount_proc_t	def_mnt_proc[];

#endif	/* FSLIST_H */
