nice=nice
nohog=-19
rootdir=..
target=$(rootdir)\arch\win32\cygwin\libv.a
cc=$(nice) $(nohog) gcc
cflags=-c -pedantic -Wall -idirafter $(rootdir)/include
include objfiles.mak
all_obj=$(objfiles) $(winobjfiles)
libobjects=$(all_obj:.obj=.o)
libsources=$(libobjects:.o=.c)
libdjpegdir=..\support\jpeglib6b
all:$(target)
jdobjfiles=jdapimin.o jdapistd.o jdtrans.o jdatasrc.o \
	jdmaster.o jdinput.o jdmarker.o jdhuff.o jdphuff.o \
	jdmainct.o jdcoefct.o jdpostct.o jddctmgr.o jidctfst.o \
	jidctflt.o jidctint.o jidctred.o jdsample.o jdcolor.o \
	jquant1.o jquant2.o jdmerge.o jcomapi.o jutils.o \
	jerror.o jmemmgr.o jmemnobs.o
$(jdobjfiles):
	cd $(libdjpegdir)
	nmake
	cd ..\..\source
	move $(libdjpegdir)\*.o .
$(target):$(libobjects) $(jdobjfiles)
	ar rc $(target) $(libobjects) $(jdobjfiles)
#	HACK: CYGWIN-B20 is BROKEN, so we use CL to compile this file
v_wavin.o: v_wavin.c
	nmake -f vc.mak v_wavin.obj
	mv v_wavin.obj v_wavin.o
v_gl.o:win32/v_gl.c
	$(cc) $(cflags) win32/v_gl.c
.c.o:
	$(cc) $(cflags) $*.c
clean:
	nmake -f clean.mak
