include "nohog.mak"
all:
	$(nice) $(nohog) nmake.exe -f vc_dll.mak $(debug) dll
	$(nice) $(nohog) nmake.exe -f vc_dll.mak $(debug) install
#	$(nice) $(nohog) nmake.exe -f vc_dll.mak $(debug) clean
o=obj
lang=c
rootdir=..
cc=cl.exe
ld=link.exe
#	Can be wasm.exe (from WATCOM C 10.0 or 11.0). MASM not tested. 
as=tasm32.exe
#	Can be rc.exe, but you must clean -r flag !
rc=brc32.exe
rflags=-r
mv=move
rm=del
rootdir=..
bindir=$(rootdir)\..\bin
cflags=-c -O2 -Ot -Gs -W4 -G6 -MD -D__WIN32__ -DBUILD_DLL -I $(rootdir)\include
ansi=-Za
lflags=/SUBSYSTEM:WINDOWS /DLL /DEFAULTLIB:MSVCRT.LIB
aflags=/ml
include "objfiles.mak"
srcfiles=$(objfiles:.obj=.c) $(winobjfiles:.obj=.c)
libs=kernel32.lib user32.lib gdi32.lib opengl32.lib winmm.lib
target=libv
dll:$(target).dll
include "rules-nt.mak"
include "jrules-vc.mak"
win32/$(target).res:win32/$(target).rc
	$(rc) $(rflags) win32/$(target).rc
$(target).dll:$(objfiles) $(jdobjfiles) v_x86.obj $(winobjfiles) \
		win32/$(target).res win32/msvc.def
	$(ld) $(lflags) $(objfiles) v_x86.obj $(winobjfiles) $(libs) \
		$(jdobjfiles) win32/$(target).res /DEF:win32/msvc.def /OUT:$(target).dll
install:
	if exist $(bindir)\$(target).dll $(rm) $(bindir)\$(target).dll
	if exist ..\arch\win32\vc_imp\$(target).lib $(rm) ..\arch\win32\vc_imp\$(target).lib
	$(mv) $(target).dll $(bindir)\$(target).dll
	$(mv) $(target).lib ..\arch\win32\vc_imp\$(target).lib
clean:
	nmake -f clean.mak
